create_bmp_for_stripline_coupler(1)

NAME
create_bmp_for_stripline_coupler - bitmap generator for coupler with thin striplines between two infinitely wide groundplanes (part of atlc)

SYNOPSIS
create_bmp_for_stripline_coupler [-C] [-b bitmapsize] [-v] H w s Er outputfile

WARNING
This man page is not a complete set of documentation - the complexity of the atlc project makes man pages not an ideal way to document it, although out of completeness, man pages are produced. The best documentation that was current at the time the version was produced should be found on your hard drive, usually at
/usr/local/share/atlc/docs/html-docs/index.html
although it might be elsewhere if your system administrator chose to install the package elsewhere. Sometimes, errors are corrected in the documentation and placed at http://atlc.sourceforge.net/ before a new release of atlc is released. Please, if you notice a problem with the documentation - even spelling errors and typos, please let me know.

DESCRIPTION
create_bmp_for_stripline_coupler is a pre-processor for atlc, the finite difference program that is used to calculate the properties of a two and three conductor electrical transmission lines of arbitrary cross section. The program create_bmp_for_stripline_coupler is used as a fast way of generating bitmaps (there is no need to use a graphics program), for a pair of 1 pixel thick conductors of width w, spaced a distance s apart, inside a pair of groundplanes of separation H. This has an exact analytical answer, when the inner is infinitely thin and the overall width W is infinitely wide. This theoretical impedance is calculated and printed to stderr if the -v option is given on create_bmp_for_stripline_coupler's command line.

----------------------------------------------------- ^
| | |
| Er | |
| | |
| ----------- ----------- | H
| <----w----><--s--><----w----> | |
| | |
| | |
| | |
----------------------------------------------------- v
<-------------------------W------------------------->
The overall width W is calculated internally to be large enough that making it any larger will have negligible effect on the results. The dielectric is assumed that of vacuum.

The bitmaps produced by create_bmp_for_stripline_coupler are 24-bit bit colour bitmaps, as are required by atlc.

OPTIONS

-C
Print the full copyright information and exit.

-b bitmapsize
is used to set the size of the bitmap, and so the accuracy to which atlc is able to calculate the coupler's properties. The default value for 'bitmapsize' is normally 18 although this can be set at compile time. (see 'DEFAULT_COUPLER_BITMAP_SIZE' in definitions.h). The value can be set anywhere from 6 to 28. The size of bitmap produced will be between 2^(bitmapsize-1) and 2^(bitmapsize+1), so if its set to 28 the bitmap could be as big as 512 Mb, which would take an eternity to compute.

-v
Print some extra data to stdout on the theoretical impedance of the structure. This is useful to compare with the numerical result from atlc

EXAMPLES
In the first example, a standard coupler is created, where the eg1. create_bmp_for_stripline_coupler 1.23 0.7 1.2 1.0 coupler.bmp
eg2. create_bmp_for_stripline_coupler -b 8 1.23 0.7 3.3 small.bmp
eg3. create_bmp_for_stripline_coupler -v 12 1.23 0.7 4.8 theory.bmp

SEE ALSO
atlc(1) create_bmp_for_circ_in_circ(1) create_bmp_for_circ_in_rect(1) create_bmp_for_microstrip_coupler(1) create_bmp_for_rect_cen_in_rect(1) create_bmp_for_rect_cen_in_rect_coupler(1) create_bmp_for_rect_in_circ(1) create_bmp_for_rect_in_rect(1) create_bmp_for_symmetrical_stripline(1) design_coupler(1) find_optimal_dimensions_for_microstrip_coupler(1) readbin(1)

http://atlc.sourceforge.net - Home page
http://sourceforge.net/projects/atlc - Download area
atlc-X.Y.Z/docs/html-docs/index.html - HTML docs
atlc-X.Y.Z/docs/qex-december-1996/atlc.pdf - theory paper
atlc-X.Y.Z/examples - examples

AUTHOR
Dr. David Kirkby PhD, drkirkby at ntlworld.com

COPYRIGHT
Copyright (c) 2002 Dr. David Kirkby.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License (in the file COPYING) along with this program. You may get a full copy of it by running the program with the -C option. Otherwise you can write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.